View Issue Details

IDProjectCategoryView StatusLast Update
0003917SymmetricDSImprovementpublic2019-07-15 10:14
ReporterpmarzulloAssigned Tojaredfrees 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.1 
Target VersionFixed in Version3.10.3 
Summary0003917: In the snapshot, include sym_data records for batches that are in ERROR
DescriptionIn order to better support customers, we need to consider including sym_data records for any batches that are in ERROR.

Since sym_data records could contain customer data, we need to consider also encrypting the sym_data records.

Better yet, maybe we should encrypt everything in the snapshot (especially logs, which could also include customer data).
Tagssymadmin

Relationships

related to 0004038 resolvedelong SymmetricDS Pro Snapshot fails when batch in error 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 b9394228

2019-06-12 12:57:45

jfrees

Details Diff
0003917: In the snapshot, include sym_data records for batches that are
in ERROR

0003917
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/util/SnapshotUtil.java Diff File

Issue History

Date Modified Username Field Change
2019-04-15 10:34 pmarzullo New Issue
2019-04-24 12:21 admin Tag Attached: symadmin
2019-05-09 10:21 admin Assigned To => admin
2019-05-09 10:21 admin Status new => confirmed
2019-05-09 10:21 admin Assigned To admin =>
2019-06-07 09:16 jaredfrees Assigned To => jaredfrees
2019-06-07 09:16 jaredfrees Status confirmed => assigned
2019-06-12 13:00 jfrees Changeset attached => SymmetricDS 3.10 b9394228
2019-06-12 13:00 jaredfrees Status assigned => resolved
2019-06-12 13:00 jaredfrees Resolution open => fixed
2019-06-12 13:00 jaredfrees Fixed in Version => 3.10.3
2019-06-25 14:06 admin Status resolved => closed
2019-07-15 10:14 elong Relationship added related to 0004038